Lua_ExpeditionBuffDetailsWindow = class("Lua_ExpeditionBuffDetailsWindow", Lua_Window);
function Lua_ExpeditionBuffDetailsWindow:ctor()
	self:superCall("ctor");

	self.w = 350;
	self.h = 250;
	self.windowName = "Lua_ExpeditionBuffDetailsWindow";
	self.showBlackMask = true;
	self.blackAlpha = 0.6;
	self.showWinBg = true;
	self.winBgAtlas = "common_altas_1";
	self.winBgSprite = "ui_common_window_009";
	self.isClickClose = true;
end

function Lua_ExpeditionBuffDetailsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.textField = UICreate.createLabel(self.content, nil, 0, 0, 290, 200, 24);
	self.textField.alignmentValue = 0;
	self.textField.verticalOverflowValue = 1;
end

function Lua_ExpeditionBuffDetailsWindow:dispose()
	if self.textArea ~= nil then
		self.textArea:dispose();
		self.textArea = nil;
	end
	self:superCall("dispose");
end

function Lua_ExpeditionBuffDetailsWindow:showWin(param)
	self:superCall("showWin", param);
	self.textField.text = param;
	self.textField:resetSize();
	self.winBg:SetDimensions(self.w, self.textField.height + 60);
end