Lua_ExpeditionRewardDetailsWindow = class("Lua_ExpeditionRewardDetailsWindow", Lua_Window);
function Lua_ExpeditionRewardDetailsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ExpeditionRewardDetailsWindow";
	self.skinName = "ExpeditionRewardDetailsWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ExpeditionRewardDetailsWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.btnSure:addClickFuntion(self, self.onBtnSureClick);
end

function Lua_ExpeditionRewardDetailsWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_ExpeditionRewardDetailsWindow:showWin(param)
	self:superCall("showWin", param);

	local data = DataCenter.expeditionData;
	if data.cur_difficulty == 1 then
		self.prompt.text = LanUtil.formateStr(330032, tostring(data.cur_layer));
	elseif cur_difficulty == 2 then
		self.prompt.text = LanUtil.formateStr(330033, tostring(data.cur_layer));
	else
		self.prompt.text = LanUtil.formateStr(330031, tostring(data.cur_layer));
	end
	if self.itemList == nil then
		local num = param == nil and 0 or #param;
		local off_w = 0;
		if num > 4 then
			num = 4;
			off_w = 62
		end
		local itemW = 124;
		local width = num * itemW + (num - 1) * 15+off_w;
		self.itemList = Lua_DragList.new(self.content, width, 130, Lua_AxisDefine.Horizontal);
		self.itemList:setLocation(0, 0);
		self.itemList:setListCell(Lua_ItemIconCell, itemW, 130, 1);
		self.itemList:setCellSpacing(15, 0);
	end
	self.itemList:setArrayData(param);
end

function Lua_ExpeditionRewardDetailsWindow:onBtnSureClick(go)
	self:hide();
end