-- 英雄列表
checkRequire("Lua_ExpeditionHeroItem");
Lua_ExpeditionHeroWindow = class("Lua_ExpeditionHeroWindow", Lua_Window);
function Lua_ExpeditionHeroWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ExpeditionHeroWindow";
	self.skinName = "ExpeditionHeroWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ExpeditionHeroWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 600, 510, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, 16, 0);
	self.itemList:setListCell(Lua_ExpeditionHeroItem, 112, 140, 5);
	self.itemList:setCellSpacing(10, 0);

	self:updateShowInfo()
end

function Lua_ExpeditionHeroWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_ExpeditionHeroWindow:updateShowInfo()
	self.itemList:setArrayData(DataCenter.expeditionData.havaHeroArr);
end